REVNETGROUP(8)

NAME
revnetgroup - generate reverse netgroup data

SYNOPSIS

/usr/lib/yp/revnetgroup [-u | -h]

DESCRIPTION

Revnetgroup processes the standard input in netgroup(5) format into what is called reverse netgroup form. That is, where the original file shows netgroup memberships in terms of which members reside in a particular group, the reverse netgroup format specifies what groups are associated with a particular member. This information is used to generate the netgroup.byuser and netgroup.byhosts NIS maps. These reverse netgroup maps are used to help speed up netgroup lookups, particularly for the innetgr() library function.

The revnetgroup command prints its results on the standard output. It is usually called only by /var/yp/Makefile when rebuilding the NIS netgroup maps.

OPTIONS

-u
    Generate netgroup.byuser output; only username information in the original netgroup file is processed.

-h
    Generate netgroup.byhost output; only hostname information in the original netgroup file is processed.

FILES

/var/yp/Makefile
    The Makefile to build the NIS databases.

/etc/netgroup
    The default netgroup database file. This file is most often found only on the NIS master server.

SEE ALSO

getnetgrent(3), netgroup(5),

AUTHOR

revnetgroup was written by Thorsten Kukuk <kukuk@linux-nis.org>.